package cbg.spy.views;

	import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.List;
import org.eclipse.swt.widgets.Shell;
  
 public class TestSwtList { 
  
      public static void main(String[] args) { 
           final Display disp = new Display(); 
           final Shell shell = new Shell(disp); 
           GridLayout gridLayout = new GridLayout(); 
           gridLayout.numColumns = 2; 
           shell.setLayout(gridLayout); 
           final List list = 
                new List(shell, SWT.BORDER | SWT.HORIZONTAL | SWT.VERTICAL); 
           GridData gridData = new GridData(); 
           //gridData.horizontalAlignment = GridData.FILL; 
           gridData.grabExcessHorizontalSpace = false; 
           list.setLayoutData(gridData); 
           for (int i = 0; i < 5; i++) { 
                list.add("foo"); 
  
           } 
           Button button = new Button(shell, 0); 
           button.setText("Space eater"); 
           gridData = new GridData(); 
           gridData.horizontalAlignment = GridData.HORIZONTAL_ALIGN_BEGINNING; 
           gridData.verticalAlignment = GridData.BEGINNING; 
           gridData.grabExcessHorizontalSpace = false; 
           button.setLayoutData(gridData); 
  
           button.addSelectionListener(new SelectionAdapter() { 
                public void widgetDefaultSelected(SelectionEvent e) { 
                     fillList(); 
                } 
                public void widgetSelected(SelectionEvent e) { 
                     fillList(); 
                } 
                public void fillList() { 
                     disp.asyncExec(new Runnable() { 
                          public void run() { 
                               for (int i = 0; i < 5; i++) { 
                                    list.add("this is a really long list item " + i); 
                               } 
                          } 
                     }); 
                } 
           }); 
  
           shell.setSize(300, 100); 
           shell.open(); 
  
           while (!shell.isDisposed()) { 
                if (!disp.readAndDispatch()) { 
                     disp.sleep(); 
                } 
           } 
  
      } 
 } 
 
