package cbg.spy.inspectors;

import org.eclipse.swt.custom.CLabel;
import org.eclipse.ui.internal.ViewPane;

import cbg.spy.views.Info;

public class CLabelInspector extends InspectorA {
	public CLabelInspector(Info info) {
		super(info);
	}
	public void inspect(SpyEvent spyEvent) {
		CLabel cLabel = (CLabel)spyEvent.control;
		Object data = cLabel.getParent().getData();
		if(data == null) return;
		debug("CLabel Part: " + data);
		info.println("CLabel Part: " + ((ViewPane)data).getID());
	}	
}
