package cbg.spy.inspectors;

import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.TypedEvent;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Item;

public class SpyEvent extends TypedEvent {
	/**
	 * the widget-relative, point coordinate of the pointer
	 * at the time the mouse button was pressed or released
	 */
	public Point local;
	public MouseEvent mouseEvent;
	public Object control;
	public Item item;
//	public SpyEvent(Event e) {
//		super(e);
//	}
	public SpyEvent(Object control, MouseEvent e, Point local) {
		this(control, null, e, local);
	}
	//	public SpyEvent(Event e) {
//		super(e);
//	}
	public SpyEvent(Object control, Item item, MouseEvent e, Point local) {
		super(e);
		this.control = control;
		this.item = item;
		this.local = local;
		mouseEvent = e;
	}


}
